/*
 * Copyright 2019 by Kappich Systemberatung Aachen
 * ALL RIGHTS RESERVED.
 */

package de.bsvrz.dav.daf.accessControl.internal;

import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.dav.daf.main.config.SystemObjectType;

import java.util.Collection;
import java.util.List;

/**
 * @author Kappich Systemberatung
 * @version $Revision$
 */
public interface ObjectCollection {

	/**
	 * Alle Objekte, die durch diesen Block ausgewählt werden
	 *
	 * @param types Systemobjekttypen die beachtet werden sollen
	 *
	 * @return Alle Objekte, die durch diesen Block ausgewählt werden
	 */
	List<SystemObject> getAllObjects(Collection<? extends SystemObjectType> types);

	/** Startet alle Listener
	 * @param listener*/
	void addChangeListener(final ObjectCollectionChangeListener listener);

	/** Stoppt alle Listener
	 * @param listener*/
	void removeChangeListener(final ObjectCollectionChangeListener listener);
}
